com.sun.source.doctree

## Interface ThrowsTree

All Superinterfaces:
  BlockTagTree, DocTree

    @Exported
    public interface ThrowsTree
    extends BlockTagTree

A tree node for an @exception or @throws block tag. @exception is a synonym for @throws.

@exception class-name description
@throws class-name description

Since:
  1.8

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

`DocTree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends DocTree>` `getDescription()`
`ReferenceTree` `getExceptionName()`

### Methods inherited from interface com.sun.source.doctree.BlockTagTree

`getTagName`

### Methods inherited from interface com.sun.source.doctree.DocTree

`accept, getKind`

### Method Detail

#### getExceptionName

    ReferenceTree getExceptionName()

#### getDescription

    List<? extends DocTree> getDescription()